CRMchat APIBeta
Telegram APIHelp

help.getPremiumPromo

POST
/workspaces/{workspaceId}/telegram-accounts/{accountId}/call/help.getPremiumPromo

Get Telegram Premium promotion information

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

workspaceId*string

Workspace ID

accountId*string

Telegram account ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

params*

Get Telegram Premium promotion information

Response Body

application/json

application/json

curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/help.getPremiumPromo" \  -H "Content-Type: application/json" \  -d '{    "params": {}  }'
{  "result": {    "_": "help.premiumPromo",    "statusText": "string",    "statusEntities": [      {        "_": "messageEntityUnknown",        "offset": 0,        "length": 0      }    ],    "videoSections": [      "string"    ],    "videos": [      {        "_": "documentEmpty",        "id": "string"      }    ],    "periodOptions": [      {        "_": "premiumSubscriptionOption",        "current": true,        "canPurchaseUpgrade": true,        "transaction": "string",        "months": 0,        "currency": "string",        "amount": "string",        "botUrl": "string",        "storeProduct": "string"      }    ],    "users": [      {        "_": "userEmpty",        "id": 0      }    ]  }}